View Issue Details

IDProjectCategoryView StatusLast Update
0003486unrealircdpublic2007-08-21 07:12
ReporterstskeepsAssigned Tostskeeps 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
PlatformAllOSAllOS VersionAll
Product Version4.0-devel 
Target VersionFixed in Version4.0-devel 
Summary0003486: Implemented ENCAP proposal
Descriptionhttp://dev.unrealircd.com/unreal4:development:encap

Basically, we need the ability to modularilly to do s2s queries - one server querying another and send back a response one to one.

This is needed for example for RPING.

We have been working together with Insp to provide a similar API so modules that uses this will work on future Insp 1.2.

This will need a LOT of QA
TagsNo tags attached.
3rd party modules

Relationships

related to 0003485 resolvedstskeeps Implement /RPING /RPONG 
child of 0003417 closed TODO list for Unreal4.0 

Activities

aquanight

2007-07-25 22:19

reporter   ~0014596

Will this only be for end-to-end commands? I don't see this as particularly useful for commands that are meant for all servers to receive and process (examples: NICK, JOIN, MODE, etc).

stskeeps

2007-07-26 04:23

reporter   ~0014597

Yes, it's both meant as a replacement for PUSH and s2s query/response - always one to one

stskeeps

2007-07-26 16:45

reporter   ~0014602

Implemented in r92

stskeeps

2007-07-27 08:20

reporter   ~0014613

For QA: This is prolly easiest to test with RPING/RPONG

stskeeps

2007-07-28 08:55

reporter   ~0014617

More changes done in r99 as well

TheSkorm

2007-08-21 07:12

reporter   ~0014736

Well rping and pong seem to be working for me, what else needs to be tested on this?

Issue History

Date Modified Username Field Change
2007-07-25 16:57 stskeeps New Issue
2007-07-25 16:57 stskeeps QA => Not touched yet by developer
2007-07-25 16:57 stskeeps U4: Need for upstream patch => No need for upstream InspIRCd patch
2007-07-25 16:57 stskeeps U4: Upstream notification of bug => Not decided
2007-07-25 16:57 stskeeps U4: Contributor working on this => None
2007-07-25 16:57 stskeeps Relationship added child of 0003417
2007-07-25 16:57 stskeeps Status new => acknowledged
2007-07-25 17:16 stskeeps Status acknowledged => confirmed
2007-07-25 17:16 stskeeps Relationship added related to 0003485
2007-07-25 22:19 aquanight Note Added: 0014596
2007-07-26 04:23 stskeeps Note Added: 0014597
2007-07-26 16:43 stskeeps Summary Work on implementing ENCAP proposal => Implemented ENCAP proposal
2007-07-26 16:43 stskeeps Description Updated
2007-07-26 16:45 stskeeps QA Not touched yet by developer => Fixed by developer, needs QA testing
2007-07-26 16:45 stskeeps Status confirmed => resolved
2007-07-26 16:45 stskeeps Fixed in Version => 4.0-devel
2007-07-26 16:45 stskeeps Resolution open => fixed
2007-07-26 16:45 stskeeps Assigned To => stskeeps
2007-07-26 16:45 stskeeps Note Added: 0014602
2007-07-26 16:48 stskeeps Description Updated
2007-07-27 08:20 stskeeps Note Added: 0014613
2007-07-28 08:55 stskeeps Note Added: 0014617
2007-08-21 07:12 TheSkorm Note Added: 0014736